Hi All
My program needs a lot of memory and after allocating some using NEW statement, it returns NULL for any new object created. I guess that is becuase of the heap size limitation of the Visual Studio which stands at 1MB. I need to increase it. One option I found was to set /HEAP:memory in...
Hi All
I am trying to embed my application into solidworks. I was unable to find out where should i start and go from there. What kind of VB project should I use, Activex Exe, Activex Dll or something else?
If anybody has done similar work please let me know.
regards
Nikhil
hi rocheey
thanks for the reply. It was very helpful.
However can I get all SW interaction and menus in this OLE control?
Like if I want to change some feature and things like that?
regards
Nikhil
hi rocheey
thanks for the quick reply. However I want to open the files interactively and should be able to work with these.
also when you say choose the file, is it solidworks file or some type library you want me to choose?
regards
Nikhil
hi all
I am working for a project where I need to embed the Solidworks window inside my VB forms. Is it possible? I couldn't find the direct way of doing it. If anybody can help me out that'll be great.
thanks in advance
Nikhil
hi all
I am working on a manufacturability evaluation software for metal casting process. I am working with voxelized 3D geometry and am trying to figure out the thickness variation in the geometry.
My problem is I have a definite way of doing this for a prizmatic part, but my algo fails for...
hi all
I am currently trying to switch to Proe Wildfire. I got into trouble when I tried to use query select or other selection options. Somehow I got the option when I right clicked . But it didn't came up again afterwards. Does somebody have an idea of how to do it?
thanks
Nikhil
hi all
I am using solidworks 2001 students edition and doing some custom programming with ray tracing APIs. Solidworks has a ray tracing example posted on their site as "how to measure thickness of the part". However it doesn't work robustly with cylindrical faces. Has anybody tried to...
hi rocheey
thanks for the tip. However the problem is how to reverse the process. How should I get the booleans out of a long when long is a result of the OR operation on few booleans.
any tips will be helpful
thanks
nikhil
hi jon
thanks for your reply. I know I have to concatenate. My question was regarding how to decipher the entry exit points from the reult. I get some result definately. It says it will be "OR'd" I don't know the meaning of this term.
anyways thanks for the reply. If anybody knows how...
hi
I am trying to fire ray and find out the intersection wit the parts. However I want to know if the ray is entering or exiting. The help document says that the intersection type that is returned is "OR'd". I am not sure what this means. How can I extract the information from the...
Hi all
has anybody tried to select entities using ModelDoc2:RayIntersections or ModelDoc2:multiselectbyray API's?
I am finding some problem with it and am not able to trace it. The code is given as below... Also does anyone know how to handle exceptions coming from solidworks or get info about...
hi all
I was trying to figure out capabilities of the Inevntor API. Can I get some information on that. Unlike solidworks Autodesk doesn't seem to have any code examples and stuff like that on their website. Can someone help me in this respect.
thanks in advance
nikhil